#
# Conditional build:
%bcond_with	tests		# perform "make test" (requires DISPLAY)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Pango
Summary:	Pango - Layout and render international text
Summary(pl.UTF-8):	Pango - rozmieszczanie i renderowanie wielojęzycznego tekstu
Name:		perl-Pango
Version:	1.224
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Perl
Source0:	http://downloads.sourceforge.net/gtk2-perl/Pango-%{version}.tar.gz
# Source0-md5:	8c411f367cffb0aa16d0e3963294d32e
URL:		http://search.cpan.org/dist/Pango/
BuildRequires:	pango-devel >= 1:1.16
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.03
BuildRequires:	perl-Glib-devel >= 1.220
BuildRequires:	perl-Cairo-devel >= 1.000
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
# some fonts are required, but does not really matter which ones
BuildRequires:	fonts-TTF-bitstream-vera
BuildRequires:	perl-Gtk2 >= 1.220
%endif
Requires:	pango >= 1:1.16
Requires:	perl-Glib >= 1.220
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perl bindings to Pango library used to layout and render international
text.

%description -l pl.UTF-8
Perlowe wiązania do biblioteki Pango służącej do rozmieszczania i
renderowania wielojęzycznego tekstu.

%package devel
Summary:	Development files for Perl Pango bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Pango dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	pango-devel >= 1:1.16
Requires:	perl-Glib-devel >= 1.220

%description devel
Development files for Perl Pango bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Pango dla Perla.

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Pango{,/Cairo}/*.pod
rmdir $RPM_BUILD_ROOT%{perl_vendorarch}/Pango/Cairo

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%{perl_vendorarch}/Pango.pm
%dir %{perl_vendorarch}/Pango
%dir %{perl_vendorarch}/auto/Pango
%{perl_vendorarch}/auto/Pango/Pango.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Pango/Pango.so
%{_mandir}/man3/Pango*.3pm*
%{_examplesdir}/%{name}-%{version}

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Pango/Install
%changelog
* Sun Jun 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Pango.git;a=log;h=master

* Sun Jun 23 2013 Jakub Bogusz <qboosh@pld-linux.org> 18b22c7
- updated to 1.224
- separated devel part

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> c9e837a
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Tue Jun 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 70dae98
- updated to 1.223

* Fri Aug 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 9fa9563
- updated to 1.222; uses perl-Glib-devel now

* Thu Mar 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 7e725f2
- pl

* Thu Mar 10 2011 Jakub Bogusz <qboosh@pld-linux.org> ec294b8
- cleanup

* Sat Nov 13 2010 Szymon Siwek <sls@pld-linux.org> 6078326
- turn off tests bcond

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 8375de0
- release 4

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4901c3d
- same for cairo

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e37904a
- rel 3; perl-Glib required even without tests

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 6694aef
- release 2

* Mon May 24 2010 Caleb Maclennan <caleb@alerque.com> c154981
- Reverted change from r1.6, was totally bogus

* Mon May 24 2010 Caleb Maclennan <caleb@alerque.com> 5bcbd7b
- Build does not require perl-Gtk2, that would be circular.

* Sat May 22 2010 Elan Ruusamäe <glen@pld-linux.org> f1cfb43
- no subdir for examples

* Fri May 21 2010 sparky <sparky@pld-linux.org> c819e67
- BR: pango-devel
- tests BR: fonts-TTF-bitstream-vera (any ttf font will do), perl-Gtk2

* Fri May 21 2010 Caleb Maclennan <caleb@alerque.com> 5b2dd83
- Fixed files for Install folders
- Reset release to 1, never sent to builders but ready

* Fri May 21 2010 Caleb Maclennan <caleb@alerque.com> 2145ea1
- Packaged missing Install files

* Fri May 21 2010 Caleb Maclennan <caleb@alerque.com> 202cdaf
- Initial add from pldcpan. Needed for perl-Clutter

